package utopp;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * Title:        U-Topp: Projekt des ProPra WS 2000/2001
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Makrosoft
 * @author Makrosoft
 * @version 1.0
 */

public class DeleteDialog extends JDialog {

  String title;
  String text;
  ActionListener al;
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  JLabel textLabel = new JLabel();
  JButton jaButton = new JButton();
  JButton neinButton = new JButton();

  public DeleteDialog(String t, String tex, ActionListener a) {

    title = t;
    text = tex;
    al = a;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {

    this.setTitle(title);
    this.setModal(true);
    textLabel.setText("Sind Sie sicher, das sie "+text+" lschen wollen");
    this.getContentPane().setLayout(gridBagLayout1);
    jaButton.setText("Ja");
    jaButton.setActionCommand("deleteDialog ja");
    jaButton.addActionListener(al);
    neinButton.setText("Nein");
    neinButton.setActionCommand("deleteDialog nein");
    neinButton.addActionListener(al);
    this.getContentPane().add(textLabel, new GridBagConstraints(0, 0, 2, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 10, 25), 0, 0));
    this.getContentPane().add(jaButton, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(25, 25, 25, 25), 0, 0));
    this.getContentPane().add(neinButton, new GridBagConstraints(1, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(25, 25, 25, 25), 0, 0));
    this.addWindowListener( new WindowAdapter() {
                                  public void windowClosing(WindowEvent e) {
                                    setVisible(false);
                                    dispose();
                                  }
                          } );
    this.pack();
    this.setResizable(false);
  }

}