package utopp;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * Title:        UTopp
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      MakroSoft
 * @author
 * @version 1.0
 */

public class SchliessenDialog extends JDialog {


  ActionListener al;
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  JLabel textLabel = new JLabel();
  JButton jaButton = new JButton();
  JButton neinButton = new JButton();

  public SchliessenDialog(ActionListener a) {
    al = a;

    try {
      jbInit();
    }

    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {

    this.setTitle("Projekt schliessen");
    this.setModal(true);
    textLabel.setText("Mchten Sie vor dem schliessen speichern?");
    this.getContentPane().setLayout(gridBagLayout1);
    jaButton.setText("Ja");
    jaButton.setActionCommand("schliessenDialog ja");
    jaButton.addActionListener(al);
    neinButton.setText("Nein");
    neinButton.setActionCommand("schliessenDialog nein");
    neinButton.addActionListener(al);
    this.getContentPane().add(textLabel, new GridBagConstraints(0, 0, 2, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 10, 25), 0, 0));
    this.getContentPane().add(jaButton, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(25, 25, 25, 25), 0, 0));
    this.getContentPane().add(neinButton, new GridBagConstraints(1, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(25, 25, 25, 25), 0, 0));
    this.addWindowListener( new WindowAdapter() {
                                  public void windowClosing(WindowEvent e) {
                                    setVisible(false);
                                    dispose();
                                  }
                          } );
    this.pack();
    this.setResizable(false);
  }
}