package utopp;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.Vector;
import java.io.*;



/**
 * Title:        UTopp
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      MakroSoft
 * @author
 * @version 1.0
 */

public class GUI extends JFrame implements ActionListener {

  UTopp utopp;
  Klasseneingabemaske klassenMaske;
  Usecaseeingabemaske usecaseMaske;
  AddDialog addDialog;
  DeleteDialog deleteDialog;
  Vector KlassenJListInhalt;
  Vector VerbindungenJListInhalt;
  Vector UseCaseJListInhalt;


  JTabbedPane jTabbedPane1 = new JTabbedPane();
  JPanel VerbindungenJPanel = new JPanel();
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  JButton VerbindungHinzufuegen = new JButton();
  JButton VerbindungEditieren = new JButton();
  JButton VerbindungLoeschen = new JButton();
  JPanel KlassenJPanel = new JPanel();
  GridBagLayout gridBagLayout2 = new GridBagLayout();
  JScrollPane KlassenJScrollPane = new JScrollPane();
  JPanel UseCasesJPanel = new JPanel();
  GridBagLayout gridBagLayout3 = new GridBagLayout();
  JScrollPane UseCasesJScrollPane = new JScrollPane();
  JButton UseCaseHinzufuegen = new JButton();
  JButton UseCaseEditieren = new JButton();
  JButton UseCaseLoeschen = new JButton();
  JMenuBar jMenuBar1 = new JMenuBar();
  JMenu jMenu1 = new JMenu();
  JMenuItem jMenuItem1 = new JMenuItem();
  JMenuItem jMenuItem2 = new JMenuItem();
  JMenuItem jMenuItem3 = new JMenuItem();
  JMenuItem jMenuItem4 = new JMenuItem();
  JMenuItem jMenuItem5 = new JMenuItem();
  JMenuItem jMenuItem6 = new JMenuItem();
  JMenu InfoJMenu = new JMenu();
  JMenuItem jMenuItem7 = new JMenuItem();
  JTabbedPane PflichtenheftJTabbedPane = new JTabbedPane();
  JPanel AllgemeinJPanel = new JPanel();
  JPanel KriterienJPanel = new JPanel();
  JLabel ProjektNameJLabel = new JLabel();
  JLabel ProjektBeschreibungJLabel = new JLabel();
  JEditorPane ProjektBeschreibungJEditorPane = new JEditorPane();
  JLabel MussKriterienJLabel = new JLabel();
  JLabel AbgrenzungKriterienJLabel = new JLabel();
  JLabel WunschKriterienJLabel = new JLabel();
  JTextArea MussKriterienJTextArea = new JTextArea();
  JTextArea WunschKriterienJTextArea = new JTextArea();
  JTextArea AbgrenzungsKriterienJTextArea = new JTextArea();
  JPanel ProduktEinsatzJPanel = new JPanel();
  JLabel AnwendungsBereicheJLabel = new JLabel();
  JLabel ZielGruppenJLabel = new JLabel();
  JLabel BetriebsBedingungenJLabel = new JLabel();
  JTextArea AnwendungsBereicheJTextArea = new JTextArea();
  JTextArea ZielGruppenJTextArea = new JTextArea();
  JTextArea BetriebsBedingungenJTextArea = new JTextArea();
  JPanel ProduktUmgebungJPanel = new JPanel();
  JTextArea SoftwareJTextArea = new JTextArea();
  JLabel SoftWareJLabel = new JLabel();
  JLabel HardwareJLabel = new JLabel();
  JTextArea HardwareJTextArea = new JTextArea();
  JLabel OrgWareJLabel = new JLabel();
  JTextArea OrgwareJTextArea = new JTextArea();
  JLabel SchnittStellenJLabel = new JLabel();
  JTextArea SchnitStellenJTextArea = new JTextArea();
  JPanel ProduktLeistungenPanel = new JPanel();
  JPanel BenutzerOberflaecheJPanel = new JPanel();
  JScrollPane jScrollPane1 = new JScrollPane();
  JPanel QualitaetsZieleJPanel = new JPanel();
  JTextArea ProduktLeistungenJTextArea = new JTextArea();
  JPanel TestSzenarienJPanel = new JPanel();
  JTextArea TestSzenarienJTextArea1 = new JTextArea();
  JPanel EntwicklungsUmgebungJPanel = new JPanel();
  JLabel OrgWareJLabel1 = new JLabel();
  JLabel SoftWareEntwicklungJLabel = new JLabel();
  JTextArea HardwareEntwicklungJTextArea = new JTextArea();
  JLabel SchnittStellenEntwicklungJLabel = new JLabel();
  JTextArea SchnittstellenEntwicklungJTextArea = new JTextArea();
  JTextArea OrgwareEntwicklungJTextArea = new JTextArea();
  JTextArea SoftwareEntwicklungJTextArea = new JTextArea();
  JLabel HardwareEntwicklungJLabel = new JLabel();
  JTextArea ErgaenzungenJTextArea = new JTextArea();
  JPanel ErgaenzungenJPanel = new JPanel();
  JScrollPane UseCaseListJScrollPane = new JScrollPane();
  JList UseCasesJList = new JList();
  JScrollPane KlassenListJScrollPane = new JScrollPane();
  JList KlassenJList = new JList();
  JButton KlasseEditieren = new JButton();
  JButton KlasseLoeschen = new JButton();
  JButton KlasseHinzufuegen = new JButton();
  JScrollPane VerbindungenListJScrollPane = new JScrollPane();
  JScrollPane VerbindungenJScrollPane = new JScrollPane();
  JScrollPane VerbindungenJScrollPane1 = new JScrollPane();
  JList VerbindungenJList = new JList();
  GridBagLayout gridBagLayout4 = new GridBagLayout();
  JTextField projektNameFeld = new JTextField();
  GridBagLayout gridBagLayout5 = new GridBagLayout();
  GridBagLayout gridBagLayout6 = new GridBagLayout();
  GridBagLayout gridBagLayout7 = new GridBagLayout();
  GridBagLayout gridBagLayout8 = new GridBagLayout();
  GridBagLayout gridBagLayout9 = new GridBagLayout();
  GridBagLayout gridBagLayout10 = new GridBagLayout();
  JTextArea jTextArea1 = new JTextArea();
  GridBagLayout gridBagLayout11 = new GridBagLayout();
  GridBagLayout gridBagLayout12 = new GridBagLayout();
  GridBagLayout gridBagLayout13 = new GridBagLayout();

  public GUI(UTopp u) {
    utopp = u;
    KlassenJListInhalt = new Vector();
    VerbindungenJListInhalt = new Vector();
    UseCaseJListInhalt = new Vector();
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    VerbindungenJPanel.setLayout(gridBagLayout1);
    VerbindungHinzufuegen.setText("Verbindung hinzufgen");
    VerbindungHinzufuegen.addActionListener(this);
    VerbindungEditieren.setText("Verbindung editieren");
    VerbindungEditieren.addActionListener(this);
    VerbindungLoeschen.setText("Verbindung lschen");
    VerbindungLoeschen.addActionListener(this);
    KlassenJPanel.setLayout(gridBagLayout2);
    KlassenJScrollPane.getViewport().setBackground(Color.white);
    UseCasesJPanel.setLayout(gridBagLayout3);
    UseCasesJScrollPane.getViewport().setBackground(Color.white);
    UseCaseHinzufuegen.setText("Use-Case hinzufgen");
    UseCaseHinzufuegen.addActionListener(this);
    UseCaseEditieren.setText("Use-Case editieren");
    UseCaseEditieren.addActionListener(this);
    UseCaseLoeschen.setText("Use-Case lschen");
    UseCaseLoeschen.addActionListener(this);

    jMenu1.setText("Datei");
    jMenuItem1.setText("Neues Projekt");
    jMenuItem1.addActionListener(this);
    jMenuItem2.setText("Projekt laden");
    jMenuItem2.addActionListener(this);
    jMenuItem3.setText("Projekt speichern");
    jMenuItem3.addActionListener(this);
    jMenuItem4.setText("Projekt speichern unter ...");
    jMenuItem4.addActionListener(this);
    jMenuItem5.setText("Projekt schliessen");
    jMenuItem5.addActionListener(this);
    jMenuItem6.setText("Beenden");
    jMenuItem6.addActionListener(this);
    InfoJMenu.setText("Info");
    jMenuItem7.setText("ber UTopp");
    jMenuItem7.addActionListener(this);

    AllgemeinJPanel.setLayout(gridBagLayout4);
    ProjektNameJLabel.setText("Projekt Name:");
    ProjektNameJLabel.setVerticalAlignment(SwingConstants.TOP);
    ProjektBeschreibungJLabel.setMaximumSize(new Dimension(500, 500));
    ProjektBeschreibungJLabel.setMinimumSize(new Dimension(0, 0));
    ProjektBeschreibungJLabel.setText("Projektbeschreibung:");
    ProjektBeschreibungJLabel.setVerticalAlignment(SwingConstants.TOP);
    ProjektBeschreibungJEditorPane.setBorder(BorderFactory.createEtchedBorder());
    ProjektBeschreibungJEditorPane.setToolTipText("");

    KriterienJPanel.setLayout(gridBagLayout5);
    MussKriterienJLabel.setText("Musskriterien:");
    MussKriterienJLabel.setVerticalAlignment(SwingConstants.TOP);
    AbgrenzungKriterienJLabel.setText("Abgrenzungskriterien:");
    AbgrenzungKriterienJLabel.setVerticalAlignment(SwingConstants.TOP);
    WunschKriterienJLabel.setText("Wunschkriterien:");
    WunschKriterienJLabel.setVerticalAlignment(SwingConstants.TOP);

    MussKriterienJTextArea.setBorder(BorderFactory.createEtchedBorder());
    WunschKriterienJTextArea.setBorder(BorderFactory.createEtchedBorder());
    AbgrenzungsKriterienJTextArea.setBorder(BorderFactory.createEtchedBorder());

    AnwendungsBereicheJLabel.setText("Anwendungsbereiche:");
    AnwendungsBereicheJLabel.setVerticalAlignment(SwingConstants.TOP);
    ZielGruppenJLabel.setText("Zielgruppen:");
    ZielGruppenJLabel.setVerticalAlignment(SwingConstants.TOP);
    BetriebsBedingungenJLabel.setText("Betriebsbedingungen:");
    BetriebsBedingungenJLabel.setVerticalAlignment(SwingConstants.TOP);

    ProduktEinsatzJPanel.setLayout(null);

    AnwendungsBereicheJTextArea.setBorder(BorderFactory.createEtchedBorder());
    ZielGruppenJTextArea.setBorder(BorderFactory.createEtchedBorder());
    BetriebsBedingungenJTextArea.setBorder(BorderFactory.createEtchedBorder());

    ProduktUmgebungJPanel.setLayout(gridBagLayout7);


    ProduktEinsatzJPanel.setLayout(gridBagLayout6);
    SoftwareJTextArea.setBorder(BorderFactory.createEtchedBorder());
    SoftWareJLabel.setVerticalAlignment(SwingConstants.TOP);
    SoftWareJLabel.setText("Software:");
    HardwareJLabel.setText("Hardware:");
    HardwareJLabel.setVerticalAlignment(SwingConstants.TOP);
    HardwareJTextArea.setBorder(BorderFactory.createEtchedBorder());
    OrgWareJLabel.setVerticalAlignment(SwingConstants.TOP);
    OrgWareJLabel.setText("Orgware:");
    OrgwareJTextArea.setBorder(BorderFactory.createEtchedBorder());
    SchnittStellenJLabel.setText("Schnittstellen:");
    SchnittStellenJLabel.setVerticalAlignment(SwingConstants.TOP);
    SchnitStellenJTextArea.setBorder(BorderFactory.createEtchedBorder());
    ProduktLeistungenPanel.setLayout(gridBagLayout8);
    BenutzerOberflaecheJPanel.setLayout(gridBagLayout9);
    jScrollPane1.getViewport().setBackground(Color.white);
    QualitaetsZieleJPanel.setLayout(gridBagLayout10);
    ProduktLeistungenJTextArea.setBorder(BorderFactory.createEtchedBorder());
    TestSzenarienJPanel.setLayout(gridBagLayout11);
    TestSzenarienJTextArea1.setBorder(BorderFactory.createEtchedBorder());
    EntwicklungsUmgebungJPanel.setLayout(gridBagLayout12);
    OrgWareJLabel1.setText("Orgware:");
    OrgWareJLabel1.setVerticalAlignment(SwingConstants.TOP);
    SoftWareEntwicklungJLabel.setText("Software:");
    SoftWareEntwicklungJLabel.setVerticalAlignment(SwingConstants.TOP);
    HardwareEntwicklungJTextArea.setBorder(BorderFactory.createEtchedBorder());
    SchnittStellenEntwicklungJLabel.setVerticalAlignment(SwingConstants.TOP);
    SchnittStellenEntwicklungJLabel.setText("Schnittstellen:");
    SchnittstellenEntwicklungJTextArea.setBorder(BorderFactory.createEtchedBorder());
    OrgwareEntwicklungJTextArea.setBorder(BorderFactory.createEtchedBorder());
    SoftwareEntwicklungJTextArea.setBorder(BorderFactory.createEtchedBorder());
    HardwareEntwicklungJLabel.setVerticalAlignment(SwingConstants.TOP);
    HardwareEntwicklungJLabel.setText("Hardware:");
    ErgaenzungenJTextArea.setBorder(BorderFactory.createEtchedBorder());
    ErgaenzungenJPanel.setLayout(gridBagLayout13);


    KlasseEditieren.setText("Klasse editieren");
    KlasseEditieren.addActionListener(this);
    KlasseLoeschen.setText("Klasse lschen");
    KlasseLoeschen.addActionListener(this);
    KlasseHinzufuegen.setText("Klasse hinzufgen");
    KlasseHinzufuegen.addActionListener(this);
    VerbindungenJScrollPane.getViewport().setBackground(Color.white);
    VerbindungenJList.setBorder(BorderFactory.createEtchedBorder());
    VerbindungenJList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    VerbindungenJScrollPane1.getViewport().setBackground(Color.white);
    projektNameFeld.setText("unbenannt");
    UseCasesJList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    KlassenJList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    this.getContentPane().add(jTabbedPane1, BorderLayout.CENTER);

    // UseCase Panel

    jTabbedPane1.add(UseCasesJPanel, "Use-Cases");
    UseCasesJPanel.add(UseCasesJScrollPane, new GridBagConstraints(1, 0, 1, 2, 0.0, 0.0
            ,GridBagConstraints.NORTHEAST, GridBagConstraints.BOTH, new Insets(25, 10, -130, 25), 600, 600));
    UseCasesJPanel.add(UseCaseLoeschen, new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(10, 25, 25, 10), 0, 0));
    UseCasesJPanel.add(UseCaseHinzufuegen, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(10, 25, 10, 10), 0, 0));
    UseCasesJPanel.add(UseCaseEditieren, new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(10, 25, 10, 10), 0, 0));
    UseCasesJPanel.add(UseCaseListJScrollPane, new GridBagConstraints(0, 0, 1, 2, 0.0, 0.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH, new Insets(25, 25, 25, 10), 0, 0));
    UseCaseListJScrollPane.getViewport().add(UseCasesJList, null);

    // KlassenPanel

    jTabbedPane1.add(KlassenJPanel, "Klassen");
    KlassenJPanel.add(KlassenJScrollPane, new GridBagConstraints(1, 0, 1, 2, 0.0, 0.0
            ,GridBagConstraints.NORTHEAST, GridBagConstraints.BOTH, new Insets(25, 10, -130, 25), 600, 600));
    KlassenJPanel.add(KlassenListJScrollPane, new GridBagConstraints(0, 0, 1, 2, 0.0, 0.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH, new Insets(25, 25, 25, 10), 0, 0));
    KlassenListJScrollPane.getViewport().add(KlassenJList, null);
    KlassenJPanel.add(KlasseLoeschen, new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(10, 25, 25, 10), 0, 0));
    KlassenJPanel.add(KlasseHinzufuegen, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(10, 25, 10, 10), 0, 0));
    KlassenJPanel.add(KlasseEditieren, new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(10, 25, 10, 10), 0, 0));

    // VerbindungenPanel

    jTabbedPane1.add(VerbindungenJPanel, "Verbindungen");
    VerbindungenJPanel.add(VerbindungHinzufuegen, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(10, 25, 10, 10), 0, 0));
    VerbindungenJPanel.add(VerbindungEditieren, new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(10, 25, 10, 10), 0, 0));
    VerbindungenJPanel.add(VerbindungLoeschen, new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(10, 25, 25, 10), 0, 0));
    VerbindungenJPanel.add(VerbindungenListJScrollPane, new GridBagConstraints(0, 0, 1, 2, 0.0, 0.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH, new Insets(25, 25, 25, 10), 0, 0));
    VerbindungenJPanel.add(VerbindungenJScrollPane1, new GridBagConstraints(1, 0, 1, 2, 0.0, 0.0
            ,GridBagConstraints.NORTHEAST, GridBagConstraints.BOTH, new Insets(25, 10, -130, 25), 600, 600));
    VerbindungenListJScrollPane.getViewport().add(VerbindungenJList, null);

    // PflichtenheftPanel

    jTabbedPane1.add(PflichtenheftJTabbedPane, "Pflichtenheft");
    PflichtenheftJTabbedPane.add(AllgemeinJPanel, "Allgemein");
    AllgemeinJPanel.add(ProjektBeschreibungJLabel, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 10, 25), 0, 0));
    AllgemeinJPanel.add(ProjektNameJLabel, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 10, 25), 0, 0));
    AllgemeinJPanel.add(ProjektBeschreibungJEditorPane, new GridBagConstraints(0, 3, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    AllgemeinJPanel.add(projektNameFeld, new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 8));
    PflichtenheftJTabbedPane.add(KriterienJPanel, "1. Kriterien");
    KriterienJPanel.add(MussKriterienJLabel, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 10, 25), 0, 0));
    KriterienJPanel.add(WunschKriterienJLabel, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 10, 25), 0, 0));
    KriterienJPanel.add(AbgrenzungKriterienJLabel, new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 10, 25), 0, 0));
    KriterienJPanel.add(MussKriterienJTextArea, new GridBagConstraints(0, 1, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    KriterienJPanel.add(WunschKriterienJTextArea, new GridBagConstraints(0, 3, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    KriterienJPanel.add(AbgrenzungsKriterienJTextArea, new GridBagConstraints(0, 5, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    PflichtenheftJTabbedPane.add(ProduktEinsatzJPanel, "2. Produkteinsatz");

    ProduktEinsatzJPanel.add(AnwendungsBereicheJLabel, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 10, 25), 0, 0));
    ProduktEinsatzJPanel.add(ZielGruppenJLabel, new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 10, 25), 0, 0));
    ProduktEinsatzJPanel.add(BetriebsBedingungenJLabel, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 10, 25), 0, 0));
    ProduktEinsatzJPanel.add(AnwendungsBereicheJTextArea, new GridBagConstraints(0, 1, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    ProduktEinsatzJPanel.add(ZielGruppenJTextArea, new GridBagConstraints(0, 5, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    ProduktEinsatzJPanel.add(BetriebsBedingungenJTextArea, new GridBagConstraints(0, 3, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));

    PflichtenheftJTabbedPane.add(ProduktUmgebungJPanel, "3. Produktumgebung");
    ProduktUmgebungJPanel.add(SoftwareJTextArea, new GridBagConstraints(0, 1, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    ProduktUmgebungJPanel.add(HardwareJLabel, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 10, 25), 0, 0));
    ProduktUmgebungJPanel.add(HardwareJTextArea, new GridBagConstraints(0, 3, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    ProduktUmgebungJPanel.add(OrgWareJLabel, new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 10, 25), 0, 0));
    ProduktUmgebungJPanel.add(OrgwareJTextArea, new GridBagConstraints(0, 5, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    ProduktUmgebungJPanel.add(SchnittStellenJLabel, new GridBagConstraints(0, 6, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 10, 25), 0, 0));
    ProduktUmgebungJPanel.add(SchnitStellenJTextArea, new GridBagConstraints(0, 7, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    ProduktUmgebungJPanel.add(SoftWareJLabel, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 10, 25), 0, 0));
    PflichtenheftJTabbedPane.add(ProduktLeistungenPanel, "4. Produktleistungen");
    ProduktLeistungenPanel.add(ProduktLeistungenJTextArea, new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(25, 25, 25, 25), 0, 0));
    PflichtenheftJTabbedPane.add(BenutzerOberflaecheJPanel, "5. Benutzeroberflche");
    BenutzerOberflaecheJPanel.add(jScrollPane1, new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(25, 25, 25, 25), 0, 0));
    PflichtenheftJTabbedPane.add(QualitaetsZieleJPanel, "6. Qualittsziele");
    QualitaetsZieleJPanel.add(jTextArea1, new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(25, 25, 25, 25), 0, 0));
    PflichtenheftJTabbedPane.add(TestSzenarienJPanel, "7. Testszenarien");
    TestSzenarienJPanel.add(TestSzenarienJTextArea1, new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(25, 25, 25, 25), 0, 0));
    PflichtenheftJTabbedPane.add(EntwicklungsUmgebungJPanel, "8. Entwicklungsumgebung");
    EntwicklungsUmgebungJPanel.add(SoftWareEntwicklungJLabel, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 10, 25), 0, 0));
    EntwicklungsUmgebungJPanel.add(SchnittStellenEntwicklungJLabel, new GridBagConstraints(0, 6, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 10, 25), 0, 0));
    EntwicklungsUmgebungJPanel.add(SoftwareEntwicklungJTextArea, new GridBagConstraints(0, 1, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    EntwicklungsUmgebungJPanel.add(HardwareEntwicklungJTextArea, new GridBagConstraints(0, 3, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    EntwicklungsUmgebungJPanel.add(HardwareEntwicklungJLabel, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 10, 25), 0, 0));
    EntwicklungsUmgebungJPanel.add(SchnittstellenEntwicklungJTextArea, new GridBagConstraints(0, 7, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    EntwicklungsUmgebungJPanel.add(OrgWareJLabel1, new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 10, 25), 0, 0));
    EntwicklungsUmgebungJPanel.add(OrgwareEntwicklungJTextArea, new GridBagConstraints(0, 5, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 25, 25, 25), 0, 0));
    PflichtenheftJTabbedPane.add(ErgaenzungenJPanel, "9. Ergnzungen");
    ErgaenzungenJPanel.add(ErgaenzungenJTextArea, new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(25, 25, 25, 25), 0, 0));
    jMenuBar1.add(jMenu1);
    jMenuBar1.add(InfoJMenu);
    jMenu1.add(jMenuItem1);
    jMenu1.addSeparator();
    jMenu1.add(jMenuItem2);
    jMenu1.addSeparator();
    jMenu1.add(jMenuItem3);
    jMenu1.add(jMenuItem4);
    jMenu1.addSeparator();
    jMenu1.add(jMenuItem5);
    jMenu1.addSeparator();
    jMenu1.add(jMenuItem6);
    InfoJMenu.add(jMenuItem7);

    addWindowListener(new WindowAdapter() {
                            public void windowClosing(WindowEvent e) {
                                    programmBeenden();
                                  }
                          } );
    VerbindungenJScrollPane1.getViewport();
  }

  public void actionPerformed(ActionEvent e) {
    String cmd = e.getActionCommand();
    if (cmd.equals("Klasse hinzufgen")) {
      klasseHinzufuegen();
    } else if (cmd.equals("Klasse lschen")) {
      klasseLoeschen();
    } else if (cmd.equals("Klasse editieren")) {
      klasseEditieren();
    } else if (cmd.equals("Use-Case hinzufgen")) {
      usecaseHinzufuegen();
    } else if (cmd.equals("Use-Case lschen")) {
      usecaseLoeschen();
    } else if (cmd.equals("Use-Case editieren")) {
      usecaseEditieren();
    } else if (cmd.equals("Verbindung hinzufgen")) {
      verbindungHinzufuegen();
    } else if (cmd.equals("Verbingung lschen")) {
      verbindungLoeschen();
    } else if (cmd.equals("Verbindung editieren")) {
      verbindungEditieren();
    } else if (cmd.equals("klassenmaske fertig")) {
      klassenmaskeFertig();
    } else if (cmd.equals("usecase fertig")) {
      usecasemaskeFertig();
    } else if (cmd.equals("addDialog ok")) {
      addDialogOk();
    } else if (cmd.equals("addDialog abbrechen")) {
      addDialogAbbrechen();
    } else if (cmd.equals("deleteDialog ja")) {
      deleteDialogJa();
    } else if (cmd.equals("deleteDialog nein")) {
      deleteDialogNein();
    } else if (cmd.equals("Neues Projekt")) {
      neuesProjekt();
    } else if (cmd.equals("Projekt laden")) {
      projektLaden();
    } else if (cmd.equals("Projekt speichern")) {
      projektSpeichern();
    } else if (cmd.equals("Projekt speichern unter ...")) {
      projektSpeichernUnter();
    } else if (cmd.equals("Projekt schliessen")) {
      projektSchliessen();
    } else if (cmd.equals("Beenden")) {
      programmBeenden();
    } else if (cmd.equals("ber UTopp")) {
      ueberUTopp();
    }
  }

  void klasseHinzufuegen() {
    addDialog = new AddDialog("Klasse hinzufgen", this);
    addDialog.setLocation(300, 300);
    addDialog.setVisible(true);
  }

  void klasseLoeschen() {
    if (! KlassenJList.isSelectionEmpty()) {
      deleteDialog = new DeleteDialog("Klasse lschen", "die Klasse "+
                          (String) KlassenJListInhalt.elementAt(KlassenJList.getSelectedIndex()), this);
      deleteDialog.setLocation(300,300);
      deleteDialog.setVisible(true);
    }
  }

  void klasseEditieren() {
    if (! KlassenJList.isSelectionEmpty()) {
      klassenMaske = new Klasseneingabemaske(utopp.projekt.Klassenmanager.get_Klasse(KlassenJList.getSelectedIndex()), this);
      klassenMaske.setLocation(100, 100);
      klassenMaske.pack();
      klassenMaske.setResizable(false);
      klassenMaske.setTitle("Klasse editieren");
      klassenMaske.setVisible(true);
    }
  }

  void usecaseHinzufuegen() {
    addDialog = new AddDialog("Use-Case hinzufgen", this);
    addDialog.setLocation(300, 300);
    addDialog.setVisible(true);
  }

  void usecaseLoeschen() {
    if (! UseCasesJList.isSelectionEmpty()) {
      deleteDialog = new DeleteDialog("Use Case lschen", "den Use Case "+
                          (String) UseCaseJListInhalt.elementAt(UseCasesJList.getSelectedIndex()), this);
      deleteDialog.setLocation(300,300);
      deleteDialog.setVisible(true);
    }
  }

  void usecaseEditieren() {
    if (! UseCasesJList.isSelectionEmpty()) {
      usecaseMaske = new Usecaseeingabemaske(utopp.projekt.Use_Case_Manager.get_Use_Case(UseCasesJList.getSelectedIndex()), this);
      usecaseMaske.setLocation(100, 100);
      usecaseMaske.pack();
      usecaseMaske.setResizable(false);
      usecaseMaske.setTitle("Use Case editieren");
      usecaseMaske.setVisible(true);
    }
  }

  void verbindungHinzufuegen() {
  }

  void verbindungLoeschen() {
  }

  void verbindungEditieren() {
  }

  void klassenmaskeFertig() {
    klassenMaske.setVisible(false);
    if (klassenMaske.getTitle().equals("Klasseneingabemaske")) {
      klassenMaske.klasse.set_name(klassenMaske.nameFeld.getText());
      klassenMaske.klasse.set_paket(klassenMaske.paketFeld.getText());
      klassenMaske.klasse.set_stereotyp(klassenMaske.sterotypFeld.getText());
      klassenMaske.klasse.set_zusicherungen(klassenMaske.zusicherungenFeld.getText());
      utopp.projekt.Klassenmanager.add_Klasse(klassenMaske.klasse);
      KlassenJListInhalt.add(klassenMaske.nameFeld.getText());
      KlassenJList.setListData(KlassenJListInhalt);
      KlassenListJScrollPane.getViewport().setView(KlassenJList);
    } else if (klassenMaske.getTitle().equals("Klasse editieren")) {
      klassenMaske.klasse.set_name(klassenMaske.nameFeld.getText());
      klassenMaske.klasse.set_paket(klassenMaske.paketFeld.getText());
      klassenMaske.klasse.set_stereotyp(klassenMaske.sterotypFeld.getText());
      klassenMaske.klasse.set_zusicherungen(klassenMaske.zusicherungenFeld.getText());
      int index = KlassenJList.getSelectedIndex();
      KlassenJListInhalt.removeElementAt( index );
      KlassenJListInhalt.add(index, klassenMaske.nameFeld.getText());
      KlassenJList.setListData(KlassenJListInhalt);
      KlassenListJScrollPane.getViewport().setView(KlassenJList);
    }
    klassenMaske.dispose();
  }

  void usecasemaskeFertig() {
    usecaseMaske.setVisible(false);
    if (usecaseMaske.getTitle().equals("Use Case Eingabemaske")) {
      usecaseMaske.usecase.set_Nr(usecaseMaske.NrFeld.getText());
      usecaseMaske.usecase.set_Name(usecaseMaske.NameFeld.getText());
      usecaseMaske.usecase.set_Akteur(usecaseMaske.AkteurFeld.getText());
      usecaseMaske.usecase.set_Vorbedingung(usecaseMaske.VorbedingungenFeld.getText());
      usecaseMaske.usecase.set_Nachbedingung(usecaseMaske.NachbedingungenFeld.getText());
      usecaseMaske.usecase.set_Invarianten(usecaseMaske.InvariantenFeld.getText());
      usecaseMaske.usecase.set_Ablauf(usecaseMaske.AblaufTextArea.getText());
      utopp.projekt.Use_Case_Manager.add_Use_Case(usecaseMaske.usecase);
      UseCaseJListInhalt.add(usecaseMaske.NameFeld.getText());
      UseCasesJList.setListData(UseCaseJListInhalt);
      UseCaseListJScrollPane.getViewport().setView(UseCasesJList);
    } else if (usecaseMaske.getTitle().equals("Use Case editieren")) {
      usecaseMaske.usecase.set_Nr(usecaseMaske.NrFeld.getText());
      usecaseMaske.usecase.set_Name(usecaseMaske.NameFeld.getText());
      usecaseMaske.usecase.set_Akteur(usecaseMaske.AkteurFeld.getText());
      usecaseMaske.usecase.set_Vorbedingung(usecaseMaske.VorbedingungenFeld.getText());
      usecaseMaske.usecase.set_Nachbedingung(usecaseMaske.NachbedingungenFeld.getText());
      usecaseMaske.usecase.set_Invarianten(usecaseMaske.InvariantenFeld.getText());
      usecaseMaske.usecase.set_Ablauf(usecaseMaske.AblaufTextArea.getText());
      int index = UseCasesJList.getSelectedIndex();
      UseCaseJListInhalt.removeElementAt( index );
      UseCaseJListInhalt.add(index, usecaseMaske.NameFeld.getText());
      UseCasesJList.setListData(UseCaseJListInhalt);
      UseCaseListJScrollPane.getViewport().setView(UseCasesJList);
    }
    usecaseMaske.dispose();
  }

  void addDialogOk() {
    addDialog.setVisible(false);
    if (addDialog.getTitle().equals("Klasse hinzufgen")) {
      Klasse neueKlasse = new Klasse(addDialog.nameFeld.getText());
      klassenMaske = new Klasseneingabemaske(neueKlasse, this);
      klassenMaske.setLocation(100, 100);
      klassenMaske.pack();
      klassenMaske.setResizable(false);
      klassenMaske.setVisible(true);
    } else if (addDialog.getTitle().equals("Use-Case hinzufgen")) {
      use_case neuerUsecase = new use_case(addDialog.nameFeld.getText());
      usecaseMaske = new Usecaseeingabemaske(neuerUsecase, this);
      usecaseMaske.setLocation(100, 100);
      usecaseMaske.pack();
      usecaseMaske.setResizable(false);
      usecaseMaske.setVisible(true);
    } else if (addDialog.getTitle().equals("Verbindung hinzufgen")) {
    }
    addDialog.dispose();
  }

  void addDialogAbbrechen() {
    addDialog.setVisible(false);
    addDialog.dispose();
  }

  void deleteDialogJa() {
    deleteDialog.setVisible(false);
    if (deleteDialog.getTitle().equals("Klasse lschen")) {
      int index = KlassenJList.getSelectedIndex();
      utopp.projekt.Klassenmanager.delete_Klasse( index );
      KlassenJListInhalt.removeElementAt( index );
      KlassenJList.setListData(KlassenJListInhalt);
      KlassenListJScrollPane.getViewport().setView(KlassenJList);
    } else if (deleteDialog.getTitle().equals("Use Case lschen")) {
      int index = UseCasesJList.getSelectedIndex();
      utopp.projekt.Use_Case_Manager.delete_Use_Case( index );
      UseCaseJListInhalt.removeElementAt( index );
      UseCasesJList.setListData(UseCaseJListInhalt);
      UseCaseListJScrollPane.getViewport().setView(UseCasesJList);
    } else if (deleteDialog.getTitle().equals("Verbindung lschn")) {
    }
    deleteDialog.dispose();
  }

  void deleteDialogNein() {
    deleteDialog.setVisible(false);
    deleteDialog.dispose();
  }

  void neuesProjekt() {
  }

  void projektLaden() {
    JFileChooser chooser = new JFileChooser();
    int i = chooser.showOpenDialog(this);
    if (i == JFileChooser.CANCEL_OPTION) {

    }
    if (i == JFileChooser.APPROVE_OPTION) {
      InOutManager io = new InOutManager(utopp.getProjekt());
      io.load(chooser.getSelectedFile());
      erneuern();
    }
    if (i == JFileChooser.ERROR_OPTION) {
      System.out.println("Fehler beim Laden");
    }
  }


  void projektSpeichern() {
    File fi = utopp.getProjekt().getspeicherOrt();
    if (fi == null) {
    projektSpeichernUnter();
    }
    else {
      InOutManager io = new InOutManager(utopp.getProjekt());
      io.save(fi);
    }
  }

  void projektSpeichernUnter() {
  JFileChooser chooser = new JFileChooser();
  int i = chooser.showSaveDialog(this);
  if (i == JFileChooser.CANCEL_OPTION) {

  }
  if (i == JFileChooser.APPROVE_OPTION) {
    InOutManager io = new InOutManager(utopp.getProjekt());
    io.save(chooser.getSelectedFile());
  }
  if (i == JFileChooser.ERROR_OPTION) {
    System.out.println("Speicherfehler");
  }

  }

  void projektSchliessen() {
    utopp.setProjekt(null);
    erneuern();
  }

  void programmBeenden() {
    setVisible(false);
    dispose();
    System.exit(0);
  }

  void ueberUTopp() {
  }

  void erneuern() {
    UseCaseJListInhalt.removeAllElements();
    KlassenJListInhalt.removeAllElements();
    VerbindungenJListInhalt.removeAllElements();

    ProjektBeschreibungJEditorPane.selectAll();
    ProjektBeschreibungJEditorPane.cut();
    loescheJTextArea(MussKriterienJTextArea);
    loescheJTextArea(WunschKriterienJTextArea);
    loescheJTextArea(AbgrenzungsKriterienJTextArea);
    loescheJTextArea(AnwendungsBereicheJTextArea);
    loescheJTextArea(ZielGruppenJTextArea);
    loescheJTextArea(BetriebsBedingungenJTextArea);
    loescheJTextArea(SoftwareJTextArea);
    loescheJTextArea(HardwareJTextArea);
    loescheJTextArea(OrgwareJTextArea);
    loescheJTextArea(SchnitStellenJTextArea);
    loescheJTextArea(SchnittstellenEntwicklungJTextArea);
    loescheJTextArea(ProduktLeistungenJTextArea);
    loescheJTextArea(TestSzenarienJTextArea1);
    loescheJTextArea(HardwareEntwicklungJTextArea);
    loescheJTextArea(OrgwareEntwicklungJTextArea);
    loescheJTextArea(SoftwareEntwicklungJTextArea);
    loescheJTextArea(jTextArea1);
    loescheJTextArea(ErgaenzungenJTextArea);
    UseCasesJList.removeAll();
    KlassenJList.removeAll();
    VerbindungenJList.removeAll();
    projektNameFeld.selectAll();
    projektNameFeld.cut();

    MussKriterienJTextArea.setText(utopp.getProjekt().Pflichtenheft.get_Unterpunkt(1));

  }
  private void loescheJTextArea(JTextArea text) {
    text.selectAll();
    text.cut();
  }

}